Reply

How to edit the chamfer definition

[ Edited ]

 

hello all, and thanks julian for last help.

I have new problem now. I was trying to edit to chamfer but it was giving me com exception.

Then instead of removing previous chamfer feature i added new one but still am getting Com exception E_FAIL

i took reference from solidedge programming handbook.

here is the sample code

 

Dim

objChamfer As SolidEdgePart.ChamferDim objEdgArr(0 To 2) AsObject

 

 Dim objFacs As Faces' Get the Edges collection

 

objEdgs = objExtProt.Edges(EdgeType:=SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll)

 Dim objEdgs As Edges' Get the Edges and store them in an Array

objEdgArr(0) = objEdgs.Item(1)

objEdgArr(1) = objEdgs.Item(2)

 ' Get the Faces

objFacs = objExtProt.Faces(FaceType:=SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll)

objChamfer = objModel.Chamfers.AddEqualSetback(NumberOfEdgeSets:=2, _

EdgeSetArray:=objEdgArr, SetbackDistance:=0.005)

 

can anyone help  me to make it out where is the problem

 

 

 

Posted by: makarand kulkarni
Post date: 9/30/2009 12:42:25 AM

1 REPLY

RE: How to edit the chamfer definition

[ Edited ]

 

OK, this example is working for me. It has got just slight differences with yours.

You almost got it.

 

Dim objChamfer As SolidEdgePart.Chamfer

Dim objEdgArr(0 To 2) As Edge

Dim objExtProt As ExtrudedProtrusion

Dim objModel As Model

Dim objSE As SolidEdgeFramework.Application

objse = GetObject(, "solidedge.application")

objModel = objSE.ActiveDocument.models.item(1)

objExtProt = objModel.ExtrudedProtrusions.Item(1)

Dim objEdgs As Edges ' Get the Edges and store them in an Array

objEdgs = objExtProt.Edges(EdgeType:=SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll)

objEdgArr(0) = objEdgs.Item(1)

objEdgArr(1) = objEdgs.Item(2)

objEdgArr(2) = objEdgs.Item(3)

objChamfer = objModel.Chamfers.AddEqualSetback(NumberOfEdgeSets:=3, _

EdgeSetArray:=objEdgArr, SetbackDistance:=0.005)

 

Posted by: Julian Guillo
Post date: 9/30/2009 1:29:48 AM